## ros-indigo-spur-gazebo 0.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(spur_gazebo)

find_package(catkin REQUIRED COMPONENTS rostest)

catkin_package()

install(DIRECTORY launch config test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

add_rostest(test/test-gazebo.test)

=== debian/changelog ===
ros-indigo-spur-gazebo (0.2.6-0trusty) trusty; urgency=high



 -- Hiroyuki Okada <okdhryk@gmail.com>  Sun, 04 Oct 2015 07:00:00 -0000

ros-indigo-spur-gazebo (0.2.5-0trusty) trusty; urgency=high

  * [feat] Enabling localization, navigation
  * [sys] Cleanup
  * Contributors: TORK 534o, Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Wed, 29 Jul 2015 07:00:00 -0000

ros-indigo-spur-gazebo (0.2.4-0trusty) trusty; urgency=high

  * support use_base_odom args for base_contraller, on gazebo it is dsiabled by default and on realroobt, it is enabled
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Sat, 11 Jul 2015 07:00:00 -0000

ros-indigo-spur-gazebo (0.2.3-0trusty) trusty; urgency=high

  * [sys] add test
  * Contributors: TORK 534o

 -- Hiroyuki Okada <okdhryk@gmail.com>  Thu, 02 Jul 2015 07:00:00 -0000

ros-indigo-spur-gazebo (0.2.2-0trusty) trusty; urgency=high

  * [Feat] Selectable laser visualization via roslaunch argument
  * [Sys] Adjust to bringup pkg. Add 2dnav pkg up to gmapping feature
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Tue, 30 Jun 2015 07:00:00 -0000

ros-indigo-spur-gazebo (0.2.1-0trusty) trusty; urgency=high

  * (Fix) Add more dependency
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Wed, 13 May 2015 07:00:00 -0000

ros-indigo-spur-gazebo (0.2.0-0trusty) trusty; urgency=high

  * (Feature) Allow configuring idle time for Twist command.
  * (Doc) Copyright to the project owner. Update package description.
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Sat, 09 May 2015 07:00:00 -0000

ros-indigo-spur-gazebo (0.1.3-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 07 May 2015 07:00:00 -0000

ros-indigo-spur-gazebo (0.1.2-0trusty) trusty; urgency=high

  * More correct dependency.
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 07 May 2015 07:00:00 -0000

ros-indigo-spur-gazebo (0.1.1-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Wed, 29 Apr 2015 07:00:00 -0000

ros-indigo-spur-gazebo (0.1.0-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Mon, 30 Mar 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-spur-gazebo
Section: misc
Priority: extra
Maintainer: Hiroyuki Okada <okdhryk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rostest
Homepage: http://wiki.ros.org/spur_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-spur-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-effort-controllers, ros-indigo-gazebo-ros, ros-indigo-gazebo-ros-control, ros-indigo-robot-state-publisher, ros-indigo-spur-controller, ros-indigo-spur-description, ros-indigo-turtlebot-gazebo
Description: 3D simulation package for SPUR omni-directional mobile manipulator robot made at Tamagawa University.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-spur-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
